"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _default = (0, _helperPluginUtils.declare)((api, options) => {
  api.assertVersion(7);
  const {
    jsxPragma,
    isTSX,
    allExtensions
  } = options;
  return {
    presets: [["@babel/env", {
      targets: {
        node: "current"
      },
      modules: "commonjs"
    }], ["@babel/preset-typescript", {
      jsxPragma,
      isTSX,
      allExtensions
    }]],
    plugins: ["@babel/plugin-proposal-class-properties", "@babel/plugin-proposal-object-rest-spread"],
    sourceMaps: true,
    comments: false
  };
});

exports.default = _default;